<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ActuatorAxis Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classActuatorAxis.html">ActuatorAxis</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#af6dcef5df7963f49ed7adde1326f618c">_flip</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a6b6efecf3da0f3eeb32a4cd32479d995">_itsActuatorSystem</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a05cfdb4b4d674731c01174526cf732c0">_localID</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#ade9139dcc1beec6a53850fd2025a4bb6">_name</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#aff589b293bba5593dd00a11c08c99eeb">_stateManager</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a44f10b95649ce1f680513649431f8416">ActuatorAxis</a>(ActuatorSystem *actuatorSystem, StateManager &amp;stateManager, unsigned int localID)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#aafe1cceab42834d85a6a4750fa33af32">GetPositionSync</a>(double &amp;positionMicrons)=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#aca6e394e1b956fb2797356caa2a62b38">GotoAsync</a>(double positionMicrons)=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a3022184603571d9dd94e51377a275317">GotoSync</a>(double positionMicrons)=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a21ca9c4ab807f8d2a09ee2f57bbd6b82">holdMs</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd">itsActuatorSystem</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373">LocalID</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#abc90e3048dfb8b5895e62fab2a790a79">Name</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a1710903e65c20383d05070a32b16313f">RegisterFields</a>()=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44">SetFlip</a>(signed int flip)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1">SetName</a>(QString name)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#ade40b5431a0f3744b7c1f4c51db183a2">SetOption</a>(AxisOption option, double value)=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#af0d2d584df9a4b7cc7e90bcf8d752f7d">UpdateState</a>()=0</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#ac7b79d4664ceae76696123345da1142e">~ActuatorAxis</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
